<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@version 2.0
@description
CU: Aplicar cambios CU-NP-CO-167
página principal. Es masiva

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Aplicación cambios::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();alert('Error AJAX en la aplicación');" />

        <p:focus />

        <p:fieldset>
            <legend> 
                <h:outputText value="Aplicar cambios"
                              styleClass="legendTitle" /> 
            </legend>

            <p:spacer height="10" width="0" />

            <h:form id="tramitesFinalizarForm">
                <p:messages id="msgsAplicCambios" showDetail="false"
                            globalOnly="false" />
                <center>
                    <p:dataTable id="tramitesFinalizarDT"
                                 widgetVar="tramitesDTWV" 
                                 value="#{aplicacionCambios.currentTramites}" var="tramite"
                                 rowKey="#{tramite.id}"
                                 paginator="true" rows="10"
                                 selection="#{aplicacionCambios.tramitesParaAplicar}"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20,30,100"
                                 emptyMessage="No existen trámites para aplicar cambios">
                        <f:facet name="header">
                            Trámites por finalizar
                        </f:facet>

                        <p:column selectionMode="multiple" style="width:16px;text-align:center"/>

                        <p:column headerText="Detalle">
                            <p:commandButton oncomplete="detalleTramiteEjecutarWV.show()"
                                             immediate="true" ajax="true" title="Ver detalles del trámite"
                                             update=":detalleTramiteEjecutarForm, :tramitesFinalizarForm:msgsAplicCambios"
                                             icon="ui-icon-search">
                                <f:setPropertyActionListener value="#{tramite}"
                                                             target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                            </p:commandButton>
                        </p:column>

                        <p:column headerText="Número de radicación"
                                  sortBy="#{tramite.numeroRadicacion}"
                                  filterBy="#{tramite.numeroRadicacion}"
                                  filterMatchMode="contains">
                            <h:outputText value="#{tramite.numeroRadicacion}" 
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                        <p:column headerText="Fecha de radicación" 
                                  filterBy="#{tramite.fechaRadicacion}" filterMatchMode="contains"
                                  sortBy="#{tramite.fechaRadicacion}">
                            <h:outputText value="#{tramite.fechaRadicacion}"
                                          styleClass="outputTextStyleInTable">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                                   type="date" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Derecho Petición/Tutela" >
                            <p:commandLink styleClass="commandLinkStyleInTable"
                                           oncomplete="detalleSolicitudEjecutarWV.show();"
                                           update=":detalleSolicitudEjecutarForm" process="@this">
                                <h:outputText value="#{tramite.formaPeticionTramite}"
                                              />
                                <f:setPropertyActionListener
                                    value="#{tramite.solicitud}"
                                    target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                            </p:commandLink>
                        </p:column>

                        <p:column headerText="Tipo de trámite" filterBy="#{tramite.tipoTramiteCadenaCompleto}" 
                                  filterMatchMode="contains"
                                  sortBy="#{tramite.tipoTramiteCadenaCompleto}">
                            <h:outputText 
                                id="TramiteTipoTramiteV"
                                value="#{tramite.tipoTramiteCadenaCompleto}"
                                styleClass="outputTextStyleInTable">
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Resolución">
                            <p:commandLink title="Ver documento de resolución" immediate="true"
                                           value="#{tramite.resultadoDocumento.numeroDocumento}"
                                           oncomplete="visorReporteWV.show()"
                                           action="#{aplicacionCambios.consultarDocResolucion}"
                                           update=":viewReport:vistaMemoForm, 
                                           :tramitesFinalizarForm:msgsAplicCambios"
                                           styleClass="commandLinkStyleInTable">
                                <f:setPropertyActionListener 
                                    target="#{aplicacionCambios.selectedTramiteResolucion}" 
                                    value="#{tramite}" />
                            </p:commandLink>
                        </p:column>

                    </p:dataTable> 

                    <p:spacer height="10" width="0" /> 

                    <p:separator
                        style="width:800px;height:3px" /> <p:spacer height="10" width="0" />


                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Aplicar cambios" id="aplicarCambiosBtn"
                                         ajax="true" oncomplete="tramitesDTWV.clearFilters();tramitesDTWV.filter();"
                                         action="#{aplicacionCambios.aplicarCambios}" 
                                         process="@form"
                                         icon="ui-icon-seek-next" update="tramitesFinalizarForm" />

                        <p:blockUI block=":tramitesFinalizarForm" trigger="aplicarCambiosBtn" >
                            Realizando acciones para aplicar los cambios ...
                            <p:graphicImage value="/images/loading.gif"/>
                        </p:blockUI>

                        <p:spacer width="20" height="0" />

                        <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                         action="#{aplicacionCambios.cerrarPaginaPrincipal}" ajax="false"
                                         immediate="true" />

                        <p:spacer width="10" height="0" />
                    </p:outputPanel> 
                    <p:spacer width="0" height="20" />
                </center>
            </h:form>
        </p:fieldset>


        <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteEjecutarWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="980" height="550">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  dynamic="true" width="960">
            <ui:include src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{cc.attrs.tramiteResumenID}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="1024"> 
            <ui:include src="/conservacion/consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />


        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{aplicacionCambios.reporteResolucion.urlWebReporte}"
            fileContent="#{aplicacionCambios.reporteResolucion.streamedContentReporte}"
            documentoGenerado="#{aplicacionCambios.reporteResolucion ne null}"
            radicarButtonVisible="false"/>



        <ui:include src="/util/visorGeografico.xhtml" />	

    </ui:define>

</ui:composition>